<!-- src/views/Login.vue -->
<template>
    <div class="login">
      <h2>Login to SpaceDAO STM</h2>
      <form @submit.prevent="login">
        <div>
          <label for="username">Username:</label>
          <input v-model="credentials.username" id="username" required />
        </div>
        <div>
          <label for="password">Password:</label>
          <input v-model="credentials.password" id="password" type="password" required />
        </div>
        <button type="submit">Login</button>
      </form>
      <p v-if="error">{{ error }}</p>
    </div>
  </template>
  
  <script lang="ts">
  import { defineComponent, reactive, ref } from 'vue'
  import { useAuth } from 'vue-auth3'
  import { useRouter } from 'vue-router'
  
  export default defineComponent({
    name: 'Login',
    setup() {
      const auth = useAuth()
      const router = useRouter()
  
      const credentials = reactive({
        username: '',
        password: '',
      })
  
      const error = ref<string>('')
  
      const login = async () => {
        try {
          await auth.login({
            data: credentials,
          })
          // Redirect to Home page after successful login
          router.push({ name: 'Home' })
        } catch (err) {
          // Handle errors (e.g., invalid credentials)
          error.value = 'Invalid username or password'
        }
      }
  
      return {
        credentials,
        error,
        login,
      }
    },
  })
  </script>
  
  <style scoped>
  .login {
    max-width: 400px;
    margin: 0 auto;
  }
  
  .login div {
    margin-bottom: 15px;
  }
  
  .login label {
    display: block;
    margin-bottom: 5px;
  }
  
  .login input {
    width: 100%;
    padding: 8px;
    box-sizing: border-box;
  }
  
  .login button {
    padding: 10px 20px;
  }
  </style>
  